Bug 1418750 - Rebase rubygem-abrt to the latest upstream release.
Summary: Rebase rubygem-abrt to the latest upstream release.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rubygem-abrt
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Vít Ondruch
QA Contact: Miroslav Hradílek
Lenka Špačková
URL:
Whiteboard:
Keywords: Rebase
Depends On:
Blocks: 1393868
TreeView+ depends on / blocked
 
Reported: 2017-02-02 16:10 UTC by Vít Ondruch
Modified: 2017-08-01 17:02 UTC (History)
5 users (show)

(edit)
_rubygem-abrt_ rebased to version 0.3.0

The _rubygem-abrt_ package has been rebased to version 0.3.0, which provides several bug fixes and enhancements over the previous version. Notably:

 * The *Ruby ABRT* handler now supports `uReports`, automatic anonymous microreports. With `uReports` enabled, developers are promptly notified about application issues and are able to fix bugs and resolve problems faster.

 * Previously, when a *Ruby* application was using *Bundler* to manage its dependencies and an error occurred, an incorrect logic was used to load components of the *Ruby ABRT* handler. Consequently, an unexpected `LoadReport` error was reported to the user instead of a proper *ABRT* report. The loading logic has been fixed, and the *Ruby* application errors are now correctly handled and reported using *ABRT*.
Clone Of:
(edit)
Last Closed: 2017-08-01 17:02:23 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:2015 normal SHIPPED_LIVE rubygem-abrt bug fix and enhancement update 2017-08-01 18:01:51 UTC
Github voxik abrt-ruby pull 5 None None None 2017-02-02 16:12 UTC
Red Hat Bugzilla 1334604 None CLOSED [RFE] add support for Ruby 2019-05-18 06:34 UTC

Internal Trackers: 1334604

Description Vít Ondruch 2017-02-02 16:10:34 UTC
The latest upstream release fixes issues such as:

~~~
/usr/share/gems/gems/abrt-0.1.1/lib/abrt.rb:6:in `require': cannot load such file -- abrt/handler (LoadError)
	from /usr/share/gems/gems/abrt-0.1.1/lib/abrt.rb:6:in `block in <top (required)>'
~~~

This issues could be noticed using Bundler to manage an application dependencies and while the issues are not fatal, they caused that the Ruby problems were not propertly reported by ABRT.

Also, the latest upstream release is adding support for uReports, which were introduced in RHEL 7.3 (rhbz#1334604).

Comment 5 Vít Ondruch 2017-03-27 15:22:59 UTC
As it turns out, there might be (and always were) issues when ABRT daemont is not installed/running. I fixed this via [1] and released rubygem-abrt 0.3.0 [2]. I'll use this opportunity to fix this in RHEL as well.




[1] https://github.com/voxik/abrt-ruby/commit/716fc76eee8436be82d826e04d7af5d165f8c6a7
[2] https://github.com/voxik/abrt-ruby/releases/tag/v0.3.0

Comment 11 errata-xmlrpc 2017-08-01 17:02:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:2015


Note You need to log in before you can comment on or make changes to this bug.